<?php
/**
 *  @author     Tymoteusz `RazorMeister` Bartnik
 *  @file       Config
 */
 
return [
    'main' => [
        'language'   => 'pl', // pl | en | cz
        'connection' => [
            'ts3' => [
                'ip'        => '127.0.0.1',
                'queryPort' => 10011,
                'port'      => 9987,
                'login'     => 'serveradmin',
                'password'  => '',
                'type'      => 0, // 1 - SSH | 0 - RAW
            ],
            'database' => [
                'ip'        => 'localhost',
                'user'      => 'root',
                'password'  => '',
                'name'      => 'robot',
                'port'      => 3306,
            ],
        ],

        'settings' => [
            'global' => [
                'logsDeleteInterval'  => 3, // in days
                'templates'           => 'Default', // Default | Icons | Old
                'blackListPunishment' => 'ban',    // kick | ban
                'profileUrl'          => [
                    'enabled'            => true,
                    'url'                => 'http://website.ro-bot.pl/client/[DBID]',    // [DBID], [UID], [CLIENT_NAME]
                    'profileTranslation' => ' ( [URL]PROFIL[/URL] )', // [URL], [/URL] MUST HAVE
                ],
                'footer'     => "[hr][right][b]RO-BOT.pl[/b][/right]",
                'kickOrMove' => 'move',     // kick | move
                'mail' => [
                    'hostSMTP' => 'smtp.gmail.com',
                    'port' => '587',
                    'username' => 'panelRazorMeister@gmail.com',
                    'password' => '',
                    'from' => 'panelRazorMeister@gmail.com',
                    'adminMails' => ['battnik90@gmail.com','matigwardys@gmail.com','robertkaminski53@wp.pl','leon@rogoza.no'],
                    'SMTPAuth' => true,
                    'encoding' => 'tls',    // tls | ssl | none
                    'logoUrl' => 'https://panel.ro-bot.net/uploads/logo.jpg'
                ]
            ],
            'instances' => [
                1 => [
                    'enabled'         => true,
                    'name'            => '• RO-BOT • Aktualizator',
                    'defaultChannel'  => 4212,
                    'interval'        => 1000,   // in milliseconds
                    'folder'          => 'FirstInstance',
                ],
                2 => [
                    'enabled'         => true,
                    'name'            => '• RO-BOT • Security',
                    'defaultChannel'  => 4212,
                    'interval'        => 100,   // in milliseconds
                    'folder'          => 'SecondInstance',
                ],
                3 => [
                    'enabled'         => true,
                    'name'            => '• RO-BOT • Administrator',
                    'defaultChannel'  => 4212,
                    'interval'        => 100,   // in milliseconds
                    'folder'          => 'ThirdInstance',
                ],
                4 => [
                    'enabled'         => true,
                    'name'            => '• RO-BOT • Statistics',
                    'nameCache'       => '• RO-BOT • Cache',
                    'defaultChannel'  => 4212,
                    'interval'        => 1000,   // in milliseconds
                    'folder'          => 'FourthInstance',
                ],
                5 => [
                    'enabled'         => true,
                    'name'            => '• RO-BOT • Channels Guard',
                    'defaultChannel'  => 4212,
                    'interval'        => 1000,   // in milliseconds
                    'folder'          => 'FifthInstance',
                ],
                6 => [
                    'enabled'         => true,
                    'name'            => '• RO-BOT • Commander',
                    'commands'        => true,
                    'defaultChannel'  => 4212,
                    'interval'        => 100,   // in milliseconds
                    'folder'          => 'SixthInstance',
                    'individualLogin' => [
                        'enabled'  => true,
                        'login'    => 'commander',
                        'password' => '',
                    ],
                ],
            ],
        ],
    ],

    'functions' => [
        // Aktualizator
        1 => [
            /* Events */
            'OnlineUsers' => [
                'enabled' => true,
                'channelId' => 4222,
                'ignoredGroups' => [397],
                'channelName' => 'Online: [ONLINE]',    // [ONLINE]
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 5],
            ],
            'RecordOnline' => [
                'enabled' => true,
                'channelId' => 4223,
                'ignoredGroups' => [397],
                'channelName' => 'Record: [RECORD]',    // [RECORD]
                'showHistory' => true,
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 5],
            ],
            'MultiFunction' => [
                'enabled' => true,
                'content' => [
                    'totalPing' => [
                        'enabled' => true,
                        'channelId' => 4225,
                        'channelName' => 'Ping: [PING]',    // [PING]
                    ],
                    'packetLoss' => [
                        'enabled' => true,
                        'channelId' => 4226,
                        'channelName' => 'Packet loss: [PACKET_LOSS]',  // [PACKET_LOSS]
                    ],
                    'channelsCount' => [
                        'enabled' => true,
                        'channelId' => 4227,
                        'channelName' => 'Channels: [CHANNELS_COUNT]',   // [CHANNELS_COUNT]
                    ],
                    'bytesUploaded' => [
                        'enabled' => true,
                        'channelId' => 4228,
                        'channelName' => 'Upload: [UPLOADED]',  // [UPLOADED]
                    ],
                    'bytesDownloaded' => [
                        'enabled' => true,
                        'channelId' => 4229,
                        'channelName' => 'Download: [DOWNLOADED]',  // [DOWNLOADED]
                    ],
                ],
                'interval' => ['hours' => 0, 'minutes' => 1, 'seconds' => 0],
            ],
            'ServerName' => [
                'enabled' => true,
                'name' => 'RO-BOT.net | Online: [ONLINE]/[MAX_CLIENTS]',   // [ONLINE], [MAX_CLIENTS], [DATE], [%]
                'dateFormat' => 'G:i:s', // d-m-Y G:i:s
                'ignoredGroups' => [397],
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 5],
            ],
            'Partners' => [
                'enabled' => true,
                'channelId' => 4231,
                'content' => [
                    '[cspacer] TSowicze.pl' => "[center][img]https://i.imgur.com/oKhD1uM.png[/img][/center]",
                    '[cspacer] RazorMeister.pl' => "[center]JA[/center]",
                ],
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 30],
            ],
            'Countdown' => [
                'enabled' => true,
                'content' => [
                    4233 => [ // ChannelId
                        'channelName' => 'To holidays: [COUNT]', // [COUNT]
                        'date' => '22-06-2019 00:01',   // format dd-mm-yyyy GG:MM  | php: d-m-Y H:i
                        'type' => 'to', // from | to
                    ],
                    4234 => [
                        'channelName' => 'From May: [COUNT]',    // [COUNT]
                        'date' => '01-05-2019 00:01',   // format dd-mm-yyyy GG:MM | php: d-m-Y H:i
                        'type' => 'from', // from | to
                    ],
                ],
                'interval' => ['hours' => 0, 'minutes' => 1, 'seconds' => 0],
            ],
            'NameDay' => [
                'enabled' => true,
                'channelId' => 4235,
                'channelName' => 'Name day: [NAME]',    // [NAME]
                'interval' => ['hours' => 0, 'minutes' => 1, 'seconds' => 0],
            ],
            'Banner' => [
                'enabled' => false,
                'sourceFile' => DIR.'Include/Assets/BannerSource.png',
                'destinationFile' => '/var/www/html/banner.jpg',
                // 'cords' => [size, rotation, x, y],
                'content' => [
                    'clientsOnline' => [
                        'enabled' => false,
                        'showMacClients' => true,
                        'ignoredGroups' => [],
                        'font' => 'calibri',
                        'color' => [255, 255, 255],
                        'cords' => [20,0,118,160],
                    ],
                    'adminsOnline' => [
                        'enabled' => true,
                        'adminGroups' => [463,464,468,473],
                        'ignoredGroups' => [450],
                        'font' => 'calibri',
                        'color' => [255, 255, 255],
                        'cords' => [20,0,150,200],
                    ],
                    'recordOnline' => [
                        'enabled' => true,
                        'font' => 'calibri',
                        'color' => [255, 255, 255],
                        'cords' => [20,0,175,250],
                    ],
                    'clock' => [
                        'enabled' => true,
                        'format' => 'H:i',
                        'font' => 'calibri',
                        'color' => [255, 255, 255],
                        'cords' => [20,0,200,300],
                    ],
                    'date' => [
                        'enabled' => true,
                        'format' => 'd-m-Y',
                        'font' => 'calibri',
                        'color' => [255, 255, 255],
                        'cords' => [20,0,225,350],
                    ],
                    'channelsCount' => [
                        'enabled' => true,
                        'font' => 'calibri',
                        'color' => [255, 255, 255],
                        'cords' => [20,0,250,400],
                    ],
                    'uptime' => [   // In days
                        'enabled' => true,
                        'font' => 'calibri',
                        'color' => [255, 255, 255],
                        'cords' => [20,0,275,450],
                    ],
                ],
                'interval' => ['hours' => 0, 'minutes' => 1, 'seconds' => 0],
            ],
            'Clock' => [
                // Date/Time formats: https://www.php.net/manual/en/function.date.php
                'enabled' => true,
                'clock' => [
                    'enabled' => true,
                    'channelId' => 4236,
                    'channelName' => 'Clock: [CLOCK]',    // [CLOCK]
                    'format' => 'H:i',
                ],
                'date' => [
                    'enabled' => true,
                    'channelId' => 4237,
                    'channelName' => 'Date: [DATE]',    // [DATE]
                    'format' => 'd-m-Y',
                ],
                'weekDay' => [
                    'enabled' => true,
                    'channelId' => 4238,
                    'channelName' => 'Week day: [WEEK_DAY]',    // [WEEK_DAY]
                    'format' => 'l',
                ],
                'interval' => ['hours' => 0, 'minutes' => 1, 'seconds' => 0],
            ],
            'HostMessage' => [
                'enabled' => true,
                'sourceFile' => DIR.'Include/Assets/HostMessage.txt',
                'ignoredGroups' => [397],  // Ignored groups to online clients
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 5],
            ],
            'AdminOnlineList' => [
                'enabled' => true,
                'adminGroups' => [463,464,468,473],
                'ignoredGroups' => [450],
                'channelId' => 4239,
                'channelName' => 'Admins online: [ONLINE]',     // [ONLINE]
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 5],
            ],
            'AdminList' => [
                'enabled' => true,
                'adminGroups' => [463,464,468,473],
                'ignoredGroups' => [450],
                'channelId' => 4334,
                'minIdleTime' => 300,    // in seconds
                'showType' => 'date',   // time | date
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 5],
            ],
            'ServerQueryOnlineList' => [
                'enabled' => true,
                'ignoredGroups' => [],
                'channelId' => 4240,
                'channelName' => 'ServerQuery online: [ONLINE]',     // [ONLINE]
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 15],
            ],
            'CountryList' => [
                'enabled' => true,
                'ignoredGroups' => [],
                'ignoredCountries' => [],   // type country as code for example Poland - pl
                'channelId' => 4241,
                'channelName' => 'Foreign clients: [COUNT]',  // [COUNT]
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 15],
            ],
            'BanList' => [
                'enabled' => true,
                'channelId' => 4242,
                'maxBans' => 10,
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 15],
            ],
            'ClientOnChannel' => [
                'enabled' => true,
                'adminGroups' => [463,464,468,473],
                'ignoredGroups' => [450],
                'minIdleTime' => 15,    // in seconds
                'showAdminsStats' => true,  // SaveAdminsStats must be ON
                'statusNames' => [
                    'online' => 'ONLINE',
                    'offline' => 'OFFLINE',
                    'away' => 'AFK',
                ],
                'content' => [
                    2465 => [  // Client Dbid
                        'channelId' => 4244, // Can be array for example [157, 13]
                        'channelName' => '[[GROUP] ] - [NICK] jest [STATUS]',    // [GROUP], [NICK], [STATUS]
                        'email' => 'battnik90@gmail.com',
                        'ownDescription' => "Hello, my name is Tymoteusz Bartnik and I'm founder and CEO of RO-BOT.",
                        'socialMedia' => [
                            'facebook' => 'https://www.facebook.com/tymus5',
                            'twitter' => 'https://twitter.com',
                            'linkedin' => 'https://www.linkedin.com/in/tymoteusz-bartnik/',
                            'instagram' => 'https://www.instagram.com/razorek/',
                            'github' => 'https://github.com/RazorMeister'
                        ]
                    ],
                ],
                'descriptionInterval' => ['hours' => 0, 'minutes' => 5, 'seconds' => 0],
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 5],
            ],
            'Top' => [
                'enabled' => true,
                'ignoredGroups' => [397],
                'content' => [
                    'timeSpent' => [
                        'enabled' => true,
                        'channelId' => 4246,
                        'records' => 15,
                    ],
                    'timeRecord' => [
                        'enabled' => true,
                        'channelId' => 4247,
                        'records' => 15,
                    ],
                    'connections' => [
                        'enabled' => true,
                        'channelId' => 4248,
                        'records' => 15,
                    ],
                    'idleTimeRecord' => [
                        'enabled' => true,
                        'channelId' => 4249,
                        'records' => 15,
                    ],
                    'weekTimeSpent' => [
                        'enabled' => true,
                        'channelId' => 4250,
                        'records' => 15,
                    ],
                ],
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 30],
            ],
            'NewClients' => [
                'enabled' => true,
                'channelId' => 4252,
                'channelName' => 'New clients: [COUNT]',   // [COUNT]
                'maxUsers' => 30,
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 15],
            ],
            'OnlineGroupList' => [
                'enabled' => true,
                'minIdleTime' => 300,
                'showType' => 'date',   // time | date
                'content' => [
                    4254 => [    // Channel ID
                        'groupsId' => [409,410,411],
                        'channelName' => '[GROUP] - [ONLINE]/[ALL] ([%])',    // [GROUP], [ONLINE], [ALL], [%]
                        'customDesc' => 'ForFun', // Custom desc, set '' or remove if default
                        'showOffline' => true,
                        'showStatusTime' => true,
                        'clientsLimit' => 20,
                    ],
                    4255 => [
                        'groupsId' => [410],
                        'channelName' => '[GROUP] - [ONLINE]/[ALL] ([%])',    // [GROUP], [ONLINE], [ALL], [%]
                        'showOffline' => true,
                        'showStatusTime' => true,
                        'clientsLimit' => 25,
                    ],
                ],
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 15],
            ],
            'FacebookPosts' => [
                'enabled' => false,
                'accessToken' => '',
                'pageId' => '',//'1069143943281504',    // Find on https://findmyfbid.com/
                'pageLink' => 'https://www.facebook.com/RO-BOT-aplikacja-pod-twój-serwer-TS3-1069143943281504/',
                'maxPosts' => 5,
                'channelId' => 4256,
                'channelName' => 'Facebook posts: [POSTS]', // [POSTS], [LIKES]
                'interval' => ['hours' => 3, 'minutes' => 0, 'seconds' => 0],   // Max 200times per hour so min interval is 20s
            ],
            'Weather' => [
                'enabled' => true,
                'apiKey' => '',  //You can find api on website: https://openweathermap.org
                'content' => [
                    4258 => [    // Channel ID
                        'country' => 'PL',  // Country code for example Poland - PL
                        'city' => 'Warszawa',
                    ],
                    4259 => [
                        'country' => 'PL',  // Country code for example Poland - PL
                        'city' => 'Lublin',
                    ],
                ],
                'interval' => ['hours' => 0, 'minutes' => 10, 'seconds' => 0],
            ],
            'YoutubeInfo' => [
                'enabled' => true,
                'apiKey' => '',  // Generate on https://console.developers.google.com
                'content' => [
                    'UC5aRHitAgGy39hu7MCqdHEA' => [ // Youtube Channel ID
                        'channelId' => 4261,
                        'channelName' => '[NAME]: [SUBS] [LIVE]',   // [NAME], [SUBS], [LIVE]
                    ],
                    'UCqL722F4qdYoSKdhUeV2Ppw' => [ // Youtube Channel ID
                        'channelId' => 4262,
                        'channelName' => '[NAME]: [SUBS] [LIVE]',   // [NAME], [SUBS], [LIVE]
                    ],
                ],
                'informAboutLive' => [
                    'enabled' => true,
                    'groupsToInform' => [463,464],
                    'ignoredGroups' => []
                ],
                'interval' => ['hours' => 0, 'minutes' => 15, 'seconds' => 0],
            ],
            'TwitchInfo' => [
                'enabled'=> true,
                'clientId' => '', //Client ID is client identifier | Generate on https://dev.twitch.tv/console/apps
                'clientSecret' => '', // Secret is password
                'content' => [
                    'japczan' => [  // Twitch channel name
                        'mainChannel' => [
                            'channelId' => 4264,
                            'channelName' => '[NAME] [LIVE]',   // [NAME], [LIVE]
                        ],
                        'follows' => [
                            'channelId' => 4265, // 0 if disabled
                            'channelName' => 'Followers: [FOLLOWS]',  // [FOLLOWS]
                        ],
                    ],
                ],
                'informAboutLive' => [
                    'enabled' => true,
                    'groupsToInform' => [463,464],
                    'ignoredGroups' => []
                ],
                'interval' => ['hours' => 0, 'minutes' => 1, 'seconds' => 0],
            ],
            'RobotStatus' => [
                'enabled' => true,  // Do not turn off
                'channelId' => 4266,
                'adminsDbid' => [2465,2467],
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 10],
            ],
            'WinGroup' => [
                'enabled' => true,
                'groupsToWin' => [408,517],
                'neededGroup' => [479,410],
                'ignoredGroups' => [397],
                'daysInterval' => 3,    // in days
                'channelId' => 4267,
                'records' => 15,
                'channelName' => 'Win - [CLIENT]', // [CLIENT] - winne nick
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 10],
            ],
            'Levels' => [
                'enabled' => true,
                'ignoredGroups' => [],
                'headerGroup' => 512, // 0 - none
                'footerGroup' => 318, // 0 - none
                'content' => [
                    // levelGroupId => minTimeSpent in seconds
                    458 => 60 * 10, // 10 mins
                    459 => 60 * 60 * 1, // 1 hour
                    460 => 60 * 60 * 10, // 10 hour
                    461 => 60 * 60 * 25, // 25 hour
                    462 => 60 * 60 * 50, // 50 hour
                ],
                'records' => 15,
                'channelId' => 4251,
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 30],
            ],
            'GroupsStats' => [
                'enabled' => true,
                'content' => [
                    // Group ID => Channel ID
                    395 => 4268,
                ],
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 10],
            ],
            'SupportChannels' => [
                'enabled' => true,
                'content' => [
                    4269 => [ // Channel ID
                        'onTime' => [
                            'enabled' => true,
                            'timeOpen' => '20:00',
                            'timeClose' => '3:00',
                        ],
                        'whenAdmin' => [
                            'enabled' => true,
                            'adminGroups' => [463,464,468,473],
                            'ignoredGroups' => [450],
                        ],
                        'nameOpen' => 'Support Channel',
                        'nameClose' => 'Support Channel [OFF]',
                        'neededJoinPower' => 100,
                    ],
                    4339 => [ // Channel ID
                        'onTime' => [
                            'enabled' => true,
                            'timeOpen' => '18:00',
                            'timeClose' => '22:00',
                        ],
                        'whenAdmin' => [
                            'enabled' => true,
                            'adminGroups' => [463,464,468,473],
                            'ignoredGroups' => [450],
                        ],
                        'nameOpen' => '[»] Help Center',
                        'nameClose' => '[»] Help Center [OFF]',
                        'neededJoinPower' => 100,
                    ],
                ],
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 10],
            ],
            'AdminsStats' => [
                'enabled' => true,
                'adminGroups' => [463,464,468,473],
                'spentTimeChannelId' => 4272,
                'groupsChannelId' => 4271,
                'helpCenterChannelId' => 4273,
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 10],
            ],
            'FillEmptyChannels' => [
                'enabled' => true,
                'ignoredChannels' => [],
                'description' => "[hr][center][img]https://i.imgur.com/wpMTQ1t.jpg[/img][/center][hr]\n\n[center][size=12][b]Support and test server for the RO-BOT application.[/b][/size][/center]\n[hr]",
                'neededPhrase' => 'spacer',
                'interval' => ['hours' => 0, 'minutes' => 5, 'seconds' => 0],
            ],
            'CountRegisteredUsers' => [
                'enabled' => true,
                'channelId' => 4274,
                'channelName' => 'Registered: [REGISTERED]/[ALL]',
                'unregisteredGroupId' => 394,
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 30],
            ],
            'Visitors' => [
                'enabled' => true,
                'channelId' => 4275,
                'channelName' => 'Visitors: [VISITORS]',
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 30],
            ],
            'CheckClientPermissions' => [
                'enabled' => true,
                'ignoredDbids' => [],
                'ignoredPermissions' => ['i_icon_id'],
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 30],
            ],
            'CheckChannelPermissions' => [  // Be careful while using this function
                'enabled' => true,
                'ignoredCids' => [],
                'ignoredPermissions' => ['i_icon_id','i_channel_needed_permission_modify_power','i_channel_needed_delete_power','i_channel_needed_join_power','i_channel_needed_modify_power','i_channel_needed_subscribe_power','b_channel_modify_needed_talk_power','i_channel_description_view_power','i_client_needed_talk_power','i_channel_needed_description_view_power'],
                'interval' => ['hours' => 0, 'minutes' => 1, 'seconds' => 0],
            ],
            'Achievements' => [
                'enabled' => true,
                'ignoredGroups' => [394],
                'headerSgid' => 509, // 0 - none
                'footerSgid' => 510, // 0 - none
                'info' => [
                    'connections' => [
                        'enabled' => true,
                        'headerGroup' => 488, // 0 - none
                        'groups' => [
                            /********************

                            groupSgid => requiredConnections,

                             *********************/

                            489  => 0,
                            490  => 100,
                            491  => 200,
                            492  => 300,
                            493  => 400,
                            494  => 500,
                            495  => 700,
                            496  => 900,
                            497  => 1000,
                        ],
                    ],
                    'timeSpent' => [
                        'enabled' => true,
                        'headerGroup' => 498, // 0 - none
                        'groups' => [
                            /********************

                            groupSgid => requiredTimeSpent,

                             *********************/

                            499  => 0,
                            500  => 10 * 60 * 60,
                            501  => 20 * 60 * 60,
                            502  => 50 * 60 * 60,
                            503  => 100 * 60 * 60,
                            504  => 250 * 60 * 60,
                            505  => 400 * 60 * 60,
                            506  => 600 * 60 * 60,
                            507  => 800 * 60 * 60,
                            508  => 1000 * 60 * 60,
                        ],
                    ],
                ],
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 15],
            ],
            'GameServers' => [
                'enabled' => true,
                'info' => [
                    /***************************************

                    channelId => [
                    'type' => 'serverType',             // Server type. Check below for more info.
                    'host' => 'serverIp:serverPort',    // for example 217.182.203.99:25565
                    'channelName' => 'channelName',     // Channel name. Check below for more info.
                    'customServerName' => 'Some sort of server',    // Optional
                    ],

                    serverType: 'cs16' - CS 1.6 server | 'csgo' - CS:GO server | 'minecraft' - Minecraft server
                    All servers: https://github.com/Austinb/GameQ/tree/v3/src/GameQ/Protocols

                    Vars in channel name: [NAME] - name of server | [CLIENTS_ONLINE] - online clients | [CLIENTS_MAX] - max clients | [MAP] - map in CS servers | [VERSION] - version in minecraft server

                     **************************************/
                    4277 => [
                        'type' => 'csgo',
                        'host' => '147.135.199.71:27015',
                        'channelName' => 'CS:GO ([CLIENTS_ONLINE] / [CLIENTS_MAX])',
                        'customServerName' => ''
                    ],
                    4278 => [
                        'type' => 'minecraft',
                        'host' => '217.182.203.99:25565',
                        'channelName' => 'MC ([CLIENTS_ONLINE] / [CLIENTS_MAX])',
                        'customServerName' => 'MC server'
                    ],
                    4279 => [
                        'type' => 'arma3',
                        'host' => '54.38.154.47:2302',
                        'channelName' => 'Arma ([CLIENTS_ONLINE] / [CLIENTS_MAX])',
                        'customServerName' => ''
                    ],
                ],
                'interval' => ['hours' => 0, 'minutes' => 1, 'seconds' => 0],
            ],
            'Charts' => [
                'enabled' => true,
                'dir' => '/var/www/html/robot/',
                'url' => 'http://nossl.ro-bot.net/robot',
                'clientPlatforms' => [
                    'enabled' => true,
                    'channelId' => 4281,
                    'ignoredGroups' => [397],
                ],
                'clientsOnline' => [
                    'enabled' => true,
                    'channelId' => 4282,
                    'ignoredGroups' => [397],
                ],
                'clientsGroups' => [
                    'enabled' => true,
                    'content' => [
                        4283 => [ // Channel ID
                            'desc' => 'Grupy 4fun',
                            'groups' => [409,410,411,412], // Preferred max 7 groups due to chart limitation.
                            'ignoredGroups' => [397],
                        ],
                    ],
                ],
                'interval' => ['hours' => 0, 'minutes' => 5, 'seconds' => 0],
            ],
            'LatestPremiumChannels' => [
                'enabled' => true,
                'channelId' => 4284,
                'number' => 10, // how many latest channels should be displayed
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 10],
            ],
            'ChangeHostButton' => [
                'enabled' => true,
                'content' => [
                    [
                        'desc' => 'Fanpage',
                        'url' => 'https://www.facebook.com/robotpl', // Url to your website etc.
                        'iconUrl' => 'https://cdn.pixabay.com/photo/2015/05/17/10/51/facebook-770688_640.png' // Url to icon
                    ],
                    [
                        'desc' => 'Strona',
                        'url' => 'https://ro-bot.pl',
                        'iconUrl' => 'https://cdn4.iconfinder.com/data/icons/software-line/32/software-line-02-512.png'
                    ],
                ],
                'interval' => ['hours' => 0, 'minutes' => 5, 'seconds' => 0],
            ]
        ],

        // Security
        2 => [
            /* Plugins */
            'NicksSecurity' => [
                'enabled' => true,
                'ignoredGroups' => [395,397],
                'sourceFile' => DIR.'Include/Assets/BadPhrases.txt',
                'checkAwayMessage' => true,
                'checkClientDescription' => true,   // Can slow down security instance
                'kicksToBan' => [
                    'enabled' => true,
                    'afterKicks' => 2,
                    'banTime' => 5,   // in seconds
                    'cacheReset' => 30,   // in seconds
                ],
            ],
            'ProtectGroups' => [
                'enabled' => true,
                'content' => [
                    395 => [  // Group ID
                        'ignoredDbid' => [2465,2467,2532,2586],
                        'giveBack' => true,
                        'punishmentType' => 'kick',    // ban | kick | nothing
                        'message' => 'You are not allowed to have ASQ group',
                        'banTime' => 0,   // in seconds (if type=ban)
                    ]
                ],
            ],
            'CheckVpn' => [
                'enabled' => true,
                'yourEmail' => '',
                'ignoredGroups' => [453],
                'punishmentType' => 'kick', // ban | kick
                'banTime' => 15,    // in seconds (if type=ban)
                'sensitivity' => 0.99,   // Highly recommended >0.99
                'message' => 'You cannot use VPN!',
            ],
            'CheckClientsOnIp' => [
                'enabled' => true,
                'ignoredGroups' => [],
                'maxUsers' => 4,
                'message' => 'Too many clients on the same IP address',
                'kicksToBan' => [
                    'enabled' => true,
                    'afterKicks' => 2,
                    'banTime' => 5,   // in seconds
                    'cacheReset' => 30,   // in seconds
                ],
            ],
            'BlockRecording' => [
                'enabled' => true,
                'ignoredGroups' => [],
                'ignoredChannelGroups' => [],
                'punishmentType' => 'kick', // ban | kick
                'banTime' => 120,    // in seconds (if type=ban)
                'message' => 'You cannot record!',
            ],

            'OnlyMyTeamspeak' => [
                'enabled' => false,
                'ignoredGroups' => [],
                'punishmentType' => 'kick', // ban | kick
                'banTime' => 120,    // in seconds (if type=ban)
                'message' => 'You must be logged in to MyTeamspeak account!',
            ],

            /* Events */
            'AntiIPLogger' => [
                'enabled' => true,
                'allowedLinks' => DIR.'Include/Assets/AllowedLinks.txt',
                'channelInfo' => 4287,
                'checkAllChannels' => false,
                'checkPrivateChannels' => [
                    'enabled' => true,
                    'channelsZone' => 4439,
                ],
                'checkPremiumChannels' => true,
                'checkChannels' => [],
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 5],
            ],
        ],

        // Administrator
        3 => [
            /* Plugins */
            'ConnectMessage' => [
                'enabled' => true,
                'ignoredGroups' => [],
                'sourceFiles' => [
                    'defaultLanguage' => DIR.'Include/Assets/ConnectMessage.txt',
                    'languages' => [
                        'eng' => DIR.'Include/Assets/ConnectMessageEng.txt',
                        'cz' => DIR.'Include/Assets/ConnectMessageCz.txt',
                    ],
                ],
                /************************************
                [CLIENT_IP] =  Client nickname
                [CLIENT_NICK] = Client nickname
                [CLIENT_COUNTRY] = Client country
                [CLIENT_DBID] = Client databse id
                [CLIENT_VERSION] = Client TS3 version
                [CLIENT_CONNECTIONS] = Client total connections
                [CLIENT_PLATFORM] = Client platform
                [CLIENT_TOTALCONNECTIONS] = Client total connections
                [CLIENT_LASTCONNECTED] = Client lastconnected
                [CLIENT_AWAY_MESSAGE] = Client away message
                [CLIENT_CREATED] = Client created
                [CLIENT_ON_SERVER_FOR] = Client is with server for ... for example 2 days and 1 minute
                [SERVER_MAX_CLIENTS] = Server max clients
                [SERVER_ONLINE] = Online users
                [SERVER_CHANNELS] = Channel number
                [SERVER_ID] = Virtual server id
                [SERVER_PORT] = Server port
                [SERVER_NAME] = Server name
                [SERVER_VERSION] = Server version
                [SERVER_VUI] = Server unique identifier
                [SERVER_WELCOME_MESSAGE] = Virtualserver welcomemessage
                [SERVER_PLATFORM] = Server platform
                [SERVER_HOSTMESSAGE] = Server hostmessage
                [SERVER_UPTIME] = Server uptime
                 *************************************/
            ],
            'GroupsLimit' => [
                'enabled' => true,
                'ignoredGroups' => [],
                'content' => [
                    1 => [  // Number 1, 2 etc.
                        'groups' => [409,410,411,412,413,414,415,416,417],
                        'limit' => 2,
                    ],
                    2 => [
                        'groups' => [423,424,425,426,427,428,430,431,432,433,434,435,436,437,438,439],
                        'limit' => 1,
                    ],
                ],
            ],
            'GetRegisterGroup' => [
                'enabled' => true,
                'minTimeSpent' => 60,   // in seconds
                'content' => [
                    // ChannelId => RegisterGroup
                    4295 => 479,
                    4296 => 410,
                ],
            ],
            'MoveSpecificGroups' => [
                'enabled' => true,
                'ignoredGroups' => [],
                'movePremiumGroups' => [
                    'enabled' => true,
                    'from' => 1,
                ],
                'content' => [
                    1 => [  // Number 1, 2 etc.
                        'from' => 1,
                        'to' => 4321,
                        'groups' => [],
                    ],
                ],
            ],
            'AfkMove' => [
                'enabled' => true,
                'channelId' => 4367,
                'minAwayTime' => 300,  // in seconds
                'messageType' => 'poke',    // poke | msg | none
                'ignoredGroups' => [395,452],
                'ignoredChannels' => [],
                'moveIfAway' => true,
            ],
            'PokeAdmins' => [
                'enabled' => true,
                'ignoredGroupsForAdmins' => [450],
                'ignoredAdminChannels' => [],
                'ignoredUserGroups' => [397],
                'kickUserIfAway' => true,
                'kickUserIfMuted' => true,
                'multiplePokes' => [
                    'enabled' => false,
                    'interval' => 15,
                ],
                'mailIfOffline' => true, // sent an email if admins are offline
                'content' => [
                    // Channel ID => [Admins groups]
                    4339 => [463,464,468,473],
                    4343 => [463,464,468,473],
                    4347 => [463,464,468,473],
                    4351 => [463,464,468,473],

                ],
            ],
            'ClientInfo' => [
                'enabled' => true,
                'channelId' => 4300,
                'messageType' => 'pw', // poke | pw
                'message' => "[color=purple][b]Witaj [u][NICK][/u]![/b]\n [color=#af0005][b][i]Informacje o Tobie:[/i][/b][/color]\n[color=#af0005][b]IP:[/b][/color] [IP]\n[color=#af0005][b]Database ID:[/b][/color] [DBID]\n[color=#af0005][b]UID:[/b][/color] [UID]\n[color=#af0005][b]Wszystkich połączeń:[/b][/color] [TOTALCONNECTIONS]\n[color=#af0005][b]Wersja klienta TS3:[/b][/color] [VERSION]\n[color=#af0005][b]Pierwsze połączenie:[/b][/color] [CREATED]\n[color=#af0005][b]Ostatnie połączenie:[/b][/color] [LASTCONNECTED]\n[color=#af0005][b]Platforma:[/b][/color] [PLATFORM]\n[color=#af0005][b]Kraj:[/b][/color] [COUNTRY]",
                // [NICK], [IP], [DBID], [UID], [TOTALCONNECTIONS], [CREATED], [LASTCONNECTED], [PLATFORM], [COUNTRY]
            ],
            'EventRegistration' => [
                'enabled' => true,
                'content' => [
                    4293 => [   // on channel
                        'neededGroup' => [],    // if all groups are allowed leave it empty
                        'channelToDesc' => 4293,
                        'topDescription' => 'Event registration',
                    ],
                ],
            ],
            'ClearGroups' => [
                'enabled' => true,
                'clearPremiumGroups' => [   // groups from channels from GetPremiumChannel function
                    'enabled' => true,
                    'channelId' => 4302,
                ],
                'content' => [
                    // channelId => [groupsToClear],
                    4301 => [409,410,411,412,413,414,415,416,417],
                ],
            ],
            'GroupsByIp' => [
                'enabled' => true,
                'content' => [
                    // ip => [groups]
                    '51.75.37.170' => [397,453],
                ],
            ],
            'AdminsMeeting' => [
                'enabled' => true,
                'adminServerGroups' => [463,464,468,473],
                'channelId' => 4303,
                // Add meeting date to channel name (in format: dd.mm.yyyy hh:mm for example 18.02.2017 18:00)
                'informBefore' => [
                    'enabled' => true,
                    'timeBefore' => 15*60, // in seconds
                ]
            ],
            'PremiumPokes' => [
                'enabled' => true,
            ],

            /* Events */
            'GetGroup' => [
                'enabled' => true,
                'deleteGroup' => false,
                'content' => [
                    // ChannelId => Group
                    4291 => 409,
                    4291 => 310,
                ],
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 0],
            ],
            'ClientPlatform' => [
                'enabled' => true,
                'ignoredGroups' => [394],
                'content' => [
                    'windows' => [
                        'enabled' => true,
                        'group' => 402,
                    ],
                    'linux' => [
                        'enabled' => true,
                        'group' => 404,
                    ],
                    'android' => [
                        'enabled' => true,
                        'group' => 405,
                    ],
                    'ios' => [
                        'enabled' => true,
                        'group' => 477,
                    ],
                    'os x' => [
                        'enabled' => true,
                        'group' => 511,
                    ]
                ],
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 5],
            ],

            'CheckPublicChannels' => [
                'enabled' => true,
                'guestChannelGroup' => 8,
                'content' => [
                    0 => [  // Number 1, 2 etc.
                        'channelsZone' => 4374,
                        'channelName' => 'Public channel #[NUM]',  // [NUM]
                        'usersLimit' => 0,  // 0 - unlimited
                        'minFreeChannels' => 3,
                        'maxChannels' => 20,
                        'channelGroup' => 20, // 0 if none
                        'iconId' => -1472060840,
                        'neededModifyPower' => 80,
                        'desc' => "[hr][center][size=15] RO-BOT.net [/size][/center]",
                    ],
                    1 => [
                        'channelsZone' => 4378,
                        'channelName' => 'Public channel #[NUM]',  // [NUM]
                        'usersLimit' => 2,  // 0 - unlimited
                        'minFreeChannels' => 3,
                        'maxChannels' => 20,
                        'channelGroup' => 20, // 0 if none
                        'iconId' => -1472060840,
                        'neededModifyPower' => 80,
                        'desc' => "[hr][center][size=15] RO-BOT.net [/size][/center]",
                    ],
                    2 => [
                        'channelsZone' => 4382,
                        'channelName' => 'Public channel #[NUM]',  // [NUM]
                        'usersLimit' => 3,  // 0 - unlimited
                        'minFreeChannels' => 3,
                        'maxChannels' => 20,
                        'channelGroup' => 20, // 0 if none
                        'iconId' => -1472060840,
                        'neededModifyPower' => 80,
                        'desc' => "[hr][center][size=15] RO-BOT.net [/size][/center]",
                    ],
                    3 => [
                        'channelsZone' => 4386,
                        'channelName' => 'Public channel #[NUM]',  // [NUM]
                        'usersLimit' => 4,  // 0 - unlimited
                        'minFreeChannels' => 3,
                        'maxChannels' => 20,
                        'channelGroup' => 20, // 0 if none
                        'iconId' => -1472060840,
                        'neededModifyPower' => 80,
                        'desc' => "[hr][center][size=15] RO-BOT.net [/size][/center]",
                    ],
                    4 => [
                        'channelsZone' => 4390,
                        'channelName' => 'Public channel #[NUM]',  // [NUM]
                        'usersLimit' => 5,  // 0 - unlimited
                        'minFreeChannels' => 3,
                        'maxChannels' => 20,
                        'channelGroup' => 20, // 0 if none
                        'iconId' => -1472060840,
                        'neededModifyPower' => 80,
                        'desc' => "[hr][center][size=15] RO-BOT.net [/size][/center]",
                    ],
                ],
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 2],
            ],
            'AutoRegister' => [
                'enabled' => true,
                'ignoredGroups' => [397],
                'minTimeSpent' => 60 * 5,   // in seconds
                'groupId' => 399,
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 5],
            ],
            'AwayGroup' => [
                'enabled' => true,
                'groupId' => 486,
                'minAwayTime' => 300,
                'ignoredGroups' => [395,322],
                'ignoredChannels' => [],
                'giveIfAway' => true,
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 2],
            ],
        ],

        // Statistics
        4 => [
            /* Events */
            'SaveClientData' => [
                'enabled' => true,  // Required
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 30],
            ],
            'SaveClientAvatars' => [
                'enabled' => true,
                'destinationDir' => DIR.'/Include/Cache/ClientAvatars',
                'interval' => ['hours' => 0, 'minutes' => 5, 'seconds' => 0],
            ],
            'SaveServerData' => [
                'enabled' => true,
                'cacheIconsInterval' => ['hours' => 0, 'minutes' => 2, 'seconds' => 0],
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 30],
            ],
            'SaveGroupsStats' => [
                'enabled' => true,
                'checkingGroups' => [395],
                'checkPremiumGroups' => true,
                'whichHours' => ['10:26', '10:28'], // format: HH:MM
                'interval' => ['hours' => 0, 'minutes' => 1, 'seconds' => 0],
            ],
            'SaveAdminsStats' => [
                'enabled' => true,
                'adminGroups' => [463,464,468,473],
                'registerGroups' => [479,410],
                'minIdleTime' => 15,    // in seconds
                'helpCenter' => [4339,4343,4347,4351],
                'ignoredGroups' => [],
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 3],
            ],
        ],

        // Channels Guard
        5 => [
            /* Plugins */
            'GetPrivateChannel' => [
                'enabled' => true,
                'channelId' => 4297,
                'neededGroups' => [479,410],
                'channelGroupId' => 19,
                'channelsZone' => 4439,
                'emptyChannelTopic' => '#empty',
                'iconId' => 983955125,
                'neededModifyPower' => 10,
                'audioCodec' => 4, // 4 - Opus Voice, 5 - Opus Music
                'audioQuality' => 7, // Number from 0 to 10
                'subChannels' => [
                    'count' => 3,
                    'iconId' => 685319600,
                    'neededModifyPower' => 5,
                ],
                'imageDescription' => [
                    'enabled' => true,
                    // Must be png
                    'sourceFile' => DIR.'Include/Assets/PrivateChannelDesc.png',
                    'destinationDir' => '/var/www/html/robot/privateChannels',
                    'destinationUrl' => 'http://nossl.ro-bot.net/robot/privateChannels',
                    'channelNum' => [
                        'font' => 'calibri',
                        'color' => [255, 255, 255],
                        'cords' => [30,0,210,182],
                    ],
                    'owner' => [
                        'font' => 'calibri',
                        'color' => [255, 255, 255],
                        'cords' => [25,0,200,312],
                    ],
                    'date' => [
                        'font' => 'calibri',
                        'color' => [255, 255, 255],
                        'cords' => [20,0,190,437],
                    ]
                ]
            ],

            /* Events */
            'CheckPrivateChannels' => [
                'enabled' => true,
                'channelGroupId' => 19,
                'channelsZone' => 4439,
                'emptyChannelTopic' => '#empty',
                'reservedChannelTopic' => '#reservation',

                'emptyChannels' => [
                    'iconId' => 983955125,
                    'neededModifyPower' => 25,
                ],

                'checkChannelName' => [
                    'enabled' => true,
                    'wrongName' => '[WRONG NAME]',
                    'badPhrasesFile' => DIR.'Include/Assets/BadPhrases.txt',
                ],

                'refreshDate' => [
                    'enabled' => true,
                ],

                'checkDate' => [
                    'daysToDelete' => 7,
                    'daysToWarning' => 4,
                    'warning' => '[CHECK DATE]',
                ],

                'makeEmptyChannels' => [
                    'enabled' => true,
                    'minEmptyChannels' => 5,
                ],

                'channelsStats' => [
                    'allChannels' => [
                        'enabled' => true,
                        'channelId' => 4308,
                        'channelName' => 'All channels: [ALL]',
                    ],
                    'emptyChannels' => [
                        'enabled' => true,
                        'channelId' => 4309,
                        'channelName' => 'Empty channels: [EMPTY]',
                    ],
                    'takenChannels' => [
                        'enabled' => true,
                        'channelId' => 4310,
                        'channelName' => 'Taken channels: [TAKEN]',
                    ],
                    'channelsToDelete' => [
                        'enabled' => true,
                        'channelId' => 4309,
                    ],
                ],

                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 5],
            ],

            'PremiumChannels' => [
                'enabled' => true,
                'content' => [
                    'VIP' => [
                        'onChannel' => 4298,
                        'serverGroupToCopy' => 456,
                        'channelGroupId' => 19,
                        'afterChannel' => 4399,
                        'onlineGroupListName' => '[rspacer] [GROUP]: [ONLINE]/[ALL] ([%])',   // [GROUP], [ONLINE], [ALL], [%]
                        'expiryTime' => -1,   // Expiry time of channel in days (-1 is unlimited)
                        'creatingInterval' => 1, // in seconds
                        'getNameFromClient' => 'desc', // nick | desc | none

                        'spacerBetween' => [
                            'enabled' => true,
                            'name' => '[*spacerPremium[NUM]]___',   // [NUM]
                            'neededJoinPower' => 0,
                            'neededSubscribePower' => 0,
                            'neededModifyPower' => 0,
                        ],

                        // In sections below 'channel' means channel number counting from 1
                        // For example if you want getGroupFunction to be on spacer number 3 type '3'
                        // If you want to getGroupFunction to be on sub channel number 5 in spacer number 2 type '2.5'

                        /* MoveSpecificGroups function must be on */
                        'teleport' => [ // Default teleport channel
                            'enabled' => true,
                            'channel' => '5',
                            'channelName' => 'Teleport >', // Works only for sub channel in spacer you can set name on spacer config
                        ],

                        /* GetGroup function must be on! */
                        'getGroup' => [
                            'enabled' => true,
                            'channel' => '4',
                            'channelName' => 'GetGroup >', // Works only for sub channel in spacer you can set name on spacer config
                        ],

                        /* OnlineGroupList function must be on! */
                        'onlineGroup' => [
                            'enabled' => true,
                            'channel' => '2',
                            'channelName' => 'OnlineGroup >', // Works only for sub channel in spacer you can set name on spacer config
                        ],

                        /* GroupsStats and SaveGroupsStats functions must be on! */
                        'groupStats' => [
                            'enabled' => true,
                            'channel' => '3',
                            'channelName' => 'GroupStats >', // Works only for sub channel in spacer you can set name on spacer config
                        ],

                        /* PremiumPokes function must be on! */
                        'premiumPokes' => [
                            'enabled' => true,
                            'content' => [
                                [
                                    'channel' => '6.5',
                                    'channelName' => 'Recrutation >', // Works only for sub channel in spacer you can set name on spacer config
                                    'pokeContent' => "Client [CLIENT] joined recrutation channel",
                                    'msgContent' => "Lider has been informed about your presence",
                                    'channelGroupsToPoke' => [17],
                                    'ignoredServerGroups' => []
                                ]
                            ]
                        ],

                        /* GetGroup function must be on! */
                        'botAccess' => [
                            'enabled' => true,
                            'channel' => '6.4',
                            'channelName' => 'Bot access >', // Works only for sub channel in spacer you can set name on spacer config
                            'groupId' => 523
                        ],

                        'spacers' => [
                            0 => [  // Number 1, 2 etc.
                                'spacerInfo' => [
                                    'name' => '[cspacer] [[NUM]] [NAME]',  // [NUM], [NAME]
                                    'maxClients' => 20,  // -1 = unlimited
                                    'neededJoinPower' => 10,
                                    'neededSubscribePower' => 30,
                                    'neededModifyPower' => 40,
                                    'iconId' => 0,
                                ],
                                'subChannels' => [
                                    'number' =>  0,
                                    'name' => 'Sub Channel [NUM].',    // [NUM]
                                    'maxClients' => 0,  // -1 = unlimited
                                    'neededJoinPower' => 0,
                                    'neededSubscribePower' => 0,
                                    'neededModifyPower' => 0,
                                    'iconId' => 0,
                                ],
                            ],
                            1 => [
                                'spacerInfo' => [
                                    'name' => '[rspacer[NUM]] Online from:',  // [NUM]
                                    'maxClients' => 0,  // -1 = unlimited
                                    'neededJoinPower' => 0,
                                    'neededSubscribePower' => 0,
                                    'neededModifyPower' => 0,
                                    'iconId' => 0,
                                ],
                                'subChannels' => [
                                    'number' =>  0,
                                    'name' => 'Sub Channel [NUM].',    // [NUM]
                                    'maxClients' => 0,  // -1 = unlimited
                                    'neededJoinPower' => 0,
                                    'neededSubscribePower' => 0,
                                    'neededModifyPower' => 0,
                                    'iconId' => 0,
                                ],
                            ],
                            2 => [
                                'spacerInfo' => [
                                    'name' => '[rspacer[NUM]] Statistics',  // [NUM]
                                    'maxClients' => 0,  // -1 = unlimited
                                    'neededJoinPower' => 0,
                                    'neededSubscribePower' => 0,
                                    'neededModifyPower' => 0,
                                    'iconId' => 0,
                                ],
                                'subChannels' => [
                                    'number' =>  0,
                                    'name' => 'Sub Channel [NUM].',    // [NUM]
                                    'maxClients' => 0,  // -1 = unlimited
                                    'neededJoinPower' => 0,
                                    'neededSubscribePower' => 0,
                                    'neededModifyPower' => 0,
                                    'iconId' => 0,
                                ],
                            ],
                            4 => [
                                'spacerInfo' => [
                                    'name' => '[rspacer[NUM]] Get group',  // [NUM]
                                    'maxClients' => 0,  // -1 = unlimited
                                    'neededJoinPower' => 0,
                                    'neededSubscribePower' => 0,
                                    'neededModifyPower' => 0,
                                    'iconId' => 0,
                                ],
                                'subChannels' => [
                                    'number' =>  0,
                                    'name' => 'Sub Channel [NUM].',    // [NUM]
                                    'maxClients' => 0,  // -1 = unlimited
                                    'neededJoinPower' => 0,
                                    'neededSubscribePower' => 0,
                                    'neededModifyPower' => 0,
                                    'iconId' => 0,
                                ],
                            ],
                            5 => [
                                'spacerInfo' => [
                                    'name' => '[lspacerzarzad[NUM]]Management',  // [NUM]
                                    'maxClients' => 0,  // -1 = unlimited
                                    'neededJoinPower' => 0,
                                    'neededSubscribePower' => 0,
                                    'neededModifyPower' => 0,
                                    'iconId' => 0,
                                ],
                                'subChannels' => [
                                    'number' =>  3,
                                    'name' => 'Management [NUM].',    // [NUM]
                                    'maxClients' => 0,  // -1 = unlimited
                                    'neededJoinPower' => 0,
                                    'neededSubscribePower' => 0,
                                    'neededModifyPower' => 0,
                                    'iconId' => 0,
                                    'custom' => [
                                        2 => [
                                            'name' => 'TESTSTTTXD [NAME] [NUM].',    // [NUM]
                                            'maxClients' => -1,  // -1 = unlimited
                                            'neededJoinPower' => 0,
                                            'neededSubscribePower' => 0,
                                            'neededModifyPower' => 0,
                                            'iconId' => 0,
                                        ]
                                    ]
                                ],
                            ],
                            6 => [
                                'spacerInfo' => [
                                    'name' => '[lspacerkanaly[NUM]]Channels',  // [NUM]
                                    'maxClients' => 0,  // -1 = unlimited
                                    'neededJoinPower' => 0,
                                    'neededSubscribePower' => 0,
                                    'neededModifyPower' => 0,
                                    'iconId' => 0,
                                ],
                                'subChannels' => [
                                    'number' =>  5,
                                    'name' => 'Channel - [NAME] [NUM].',    // [NUM]
                                    'maxClients' => -1,  // -1 = unlimited
                                    'neededJoinPower' => 0,
                                    'neededSubscribePower' => 0,
                                    'neededModifyPower' => 0,
                                    'iconId' => 0,
                                ],
                            ],
                        ],
                    ],
                    'Gold' => [
                        'onChannel' => 4299,
                        'serverGroupToCopy' => 455,
                        'channelGroupId' => 19,
                        'afterChannel' => 4433,
                        'onlineGroupListName' => '[rspacer] [GROUP]: [ONLINE]/[ALL] ([%])',   // [GROUP], [ONLINE], [ALL], [%]
                        'expiryTime' => 1,   // Expiry time of channel in days (-1 is unlimited)
                        'creatingInterval' => 1, // in seconds
                        'getNameFromClient' => 'nick', // nick | desc | none

                        'spacerBetween' => [
                            'enabled' => true,
                            'name' => '[*spacerGold[NUM]]___',   // [NUM]
                            'neededJoinPower' => 0,
                            'neededSubscribePower' => 0,
                            'neededModifyPower' => 0,
                        ],

                        // In sections below 'channel' means channel number counting from 1
                        // For example if you want getGroupFunction to be on spacer number 3 type '3'
                        // If you want to getGroupFunction to be on sub channel number 5 in spacer number 2 type '2.5'

                        /* MoveSpecificGroups function must be on */
                        'teleport' => [ // Default teleport channel
                            'enabled' => true,
                            'channel' => '6',
                            'channelName' => 'Teleport >', // Works only for sub channel in spacer you can set name on spacer config
                        ],

                        /* GetGroup function must be on! */
                        'getGroup' => [
                            'enabled' => true,
                            'channel' => '4',
                            'channelName' => 'GetGroup >', // Works only for sub channel in spacer you can set name on spacer config
                        ],

                        /* OnlineGroupList function must be on! */
                        'onlineGroup' => [
                            'enabled' => true,
                            'channel' => '2',
                            'channelName' => 'OnlineGroup >', // Works only for sub channel in spacer you can set name on spacer config
                        ],

                        /* GroupsStats and SaveGroupsStats functions must be on! */
                        'groupStats' => [
                            'enabled' => true,
                            'channel' => '3',
                            'channelName' => 'GroupStats >', // Works only for sub channel in spacer you can set name on spacer config
                        ],

                        /* PremiumPokes function must be on! */
                        'premiumPokes' => [
                            'enabled' => true,
                            'content' => [
                                [
                                    'channel' => '7.5',
                                    'channelName' => 'Recrutation >', // Works only for sub channel in spacer you can set name on spacer config
                                    'pokeContent' => "Client [CLIENT] joined recrutation channel",
                                    'msgContent' => "Lider has been informed about your presence",
                                    'channelGroupsToPoke' => [17],
                                    'ignoredServerGroups' => []
                                ]
                            ]
                        ],

                        /* GetGroup function must be on! */
                        'botAccess' => [
                            'enabled' => true,
                            'channel' => '3',
                            'groupId' => 523,
                            'channelName' => 'Bot access >', // Works only for sub channel in spacer you can set name on spacer config
                        ],

                        'spacers' => [
                            0 => [  // Number 1, 2 etc.
                                'spacerInfo' => [
                                    'name' => '[cspacer] [[NUM]] Gold',  // [NUM]
                                    'maxClients' => 20,  // -1 = unlimited
                                    'neededJoinPower' => 10,
                                    'neededSubscribePower' => 30,
                                    'neededModifyPower' => 40,
                                    'iconId' => 0,
                                ],
                                'subChannels' => [
                                    'number' =>  0,
                                    'name' => 'Sub Channel [NUM].',    // [NUM]
                                    'maxClients' => 0,  // -1 = unlimited
                                    'neededJoinPower' => 0,
                                    'neededSubscribePower' => 0,
                                    'neededModifyPower' => 0,
                                    'iconId' => 0,
                                ],
                            ],
                            1 => [
                                'spacerInfo' => [
                                    'name' => '[rspacerG[NUM]] Online from:',  // [NUM]
                                    'maxClients' => 0,  // -1 = unlimited
                                    'neededJoinPower' => 0,
                                    'neededSubscribePower' => 0,
                                    'neededModifyPower' => 0,
                                    'iconId' => 0,
                                ],
                                'subChannels' => [
                                    'number' =>  0,
                                    'name' => 'Sub Channel [NUM].',    // [NUM]
                                    'maxClients' => 0,  // -1 = unlimited
                                    'neededJoinPower' => 0,
                                    'neededSubscribePower' => 0,
                                    'neededModifyPower' => 0,
                                    'iconId' => 0,
                                ],
                            ],
                            2 => [
                                'spacerInfo' => [
                                    'name' => '[rspacerG[NUM]] Statistics',  // [NUM]
                                    'maxClients' => 0,  // -1 = unlimited
                                    'neededJoinPower' => 0,
                                    'neededSubscribePower' => 0,
                                    'neededModifyPower' => 0,
                                    'iconId' => 0,
                                ],
                                'subChannels' => [
                                    'number' =>  0,
                                    'name' => 'Sub Channel [NUM].',    // [NUM]
                                    'maxClients' => 0,  // -1 = unlimited
                                    'neededJoinPower' => 0,
                                    'neededSubscribePower' => 0,
                                    'neededModifyPower' => 0,
                                    'iconId' => 0,
                                ],
                            ],
                            4 => [
                                'spacerInfo' => [
                                    'name' => '[rspacerG[NUM]] Get group',  // [NUM]
                                    'maxClients' => 0,  // -1 = unlimited
                                    'neededJoinPower' => 0,
                                    'neededSubscribePower' => 0,
                                    'neededModifyPower' => 0,
                                    'iconId' => 0,
                                ],
                                'subChannels' => [
                                    'number' =>  0,
                                    'name' => 'Sub Channel [NUM].',    // [NUM]
                                    'maxClients' => 0,  // -1 = unlimited
                                    'neededJoinPower' => 0,
                                    'neededSubscribePower' => 0,
                                    'neededModifyPower' => 0,
                                    'iconId' => 0,
                                ],
                            ],
                            5 => [
                                'spacerInfo' => [
                                    'name' => '[cspacerG[NUM]] 🍺⭐ [NAME] ⭐🍺',  // [NUM]
                                    'maxClients' => 0,  // -1 = unlimited
                                    'neededJoinPower' => 0,
                                    'neededSubscribePower' => 0,
                                    'neededModifyPower' => 0,
                                    'iconId' => 0,
                                ],
                                'subChannels' => [
                                    'number' =>  0,
                                    'name' => 'Sub Channel [NUM].',    // [NUM]
                                    'maxClients' => 0,  // -1 = unlimited
                                    'neededJoinPower' => 0,
                                    'neededSubscribePower' => 0,
                                    'neededModifyPower' => 0,
                                    'iconId' => 0,
                                ],
                            ],
                            6 => [
                                'spacerInfo' => [
                                    'name' => '[lspacerzarzadG[NUM]]Management',  // [NUM]
                                    'maxClients' => 0,  // -1 = unlimited
                                    'neededJoinPower' => 0,
                                    'neededSubscribePower' => 0,
                                    'neededModifyPower' => 0,
                                    'iconId' => 0,
                                ],
                                'subChannels' => [
                                    'number' =>  3,
                                    'name' => 'Management [NUM].',    // [NUM]
                                    'maxClients' => 0,  // -1 = unlimited
                                    'neededJoinPower' => 0,
                                    'neededSubscribePower' => 0,
                                    'neededModifyPower' => 0,
                                    'iconId' => 0,
                                ],
                            ],
                            7 => [
                                'spacerInfo' => [
                                    'name' => '[lspacerkanalyG[NUM]]Channels',  // [NUM]
                                    'maxClients' => 0,  // -1 = unlimited
                                    'neededJoinPower' => 0,
                                    'neededSubscribePower' => 0,
                                    'neededModifyPower' => 0,
                                    'iconId' => 0,
                                ],
                                'subChannels' => [
                                    'number' =>  5,
                                    'name' => 'Channel [NUM].',    // [NUM]
                                    'maxClients' => -1,  // -1 = unlimited
                                    'neededJoinPower' => 0,
                                    'neededSubscribePower' => 0,
                                    'neededModifyPower' => 0,
                                    'iconId' => 0,
                                ],
                            ],
                        ],
                    ],
                ],
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 10],
            ],
            'CheckTmpChannels' => [
                'enabled' => true,
                'sourceFile' => DIR.'Include/Assets/BadPhrases.txt',
                'wrongPhrase' => 'Wrong phrase!',
                'setDefaultDescription' => [
                    'enabled' => true,
                    'description' => "[hr]\n[center][size=14] TEMPORARY [b]CHANNEL[/b] [/size][/center]\n[hr]\n[center][size=12]This is temporary channel. We invite you to create a private channel![/size][/center]\n",
                ],
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 5],
            ],
        ],

        // Commander
        6 => [
            /* Commands */
            // Usage !help
            'Help' => [
                'enabled' => true,
                'privilegedGroups' => [395],
                'writeCommandsToChannel' => [
                    'enabled' => true,
                    'channelId' => 4313,
                ],
            ],
            // Usage !meeting
            'Meeting' => [
                'enabled' => true,
                'privilegedGroups' => [395],
                'channelId' => 4303,
                'groups' => [463,464,468,473],
            ],
            // Usage !pwall-[text]
            'PwAll' => [
                'enabled' => true,
                'privilegedGroups' => [395],
            ],
            // Usage !pwgroup-[groupsId_separated_by_comma]-[text]
            'PwGroup' => [
                'enabled' => true,
                'privilegedGroups' => [395],
            ],
            // Usage !pokeall-[text]
            'PokeAll' => [
                'enabled' => true,
                'privilegedGroups' => [395],
            ],
            // Usage !pokegroup-[groupsId_separated_by_comma]-[text]
            'PokeGroup' => [
                'enabled' => true,
                'privilegedGroups' => [395],
            ],
            // Usage !tpclient-[Phrase_to_search]
            'TpClient' => [
                'enabled' => true,
                'privilegedGroups' => [395],
            ],
            // Usage !tpchannel-[Phrase_to_search]
            'TpChannel' => [
                'enabled' => true,
                'privilegedGroups' => [395],
            ],
            // Usage !team
            'Team' => [
                'enabled' => true,
                'privilegedGroups' => [395],
            ],
            // Usage !bot-[InstanceId]
            'Bot' => [
                'enabled' => true,
                'privilegedGroups' => [395],
            ],
            // Usage
            // !tmpgroup-[info]
            // !tmpgroup-[add]-[ClientDatabaseId]-[GroupId]-[timeInDays]
            // !tmpgroup-[del]-[ClientDatabaseId]-[GroupId]
            'TmpGroup' => [
                'enabled' => true,
                'privilegedGroups' => [395],
            ],
            // Usage !premiumchannel-[zoneName]-[dbid]
            'PremiumChannel' => [
                'enabled' => true,
                'privilegedGroups' => [395],
            ],
            // Usage !privatechannel-[dbid]
            'PrivateChannel' => [
                'enabled' => true,
                'privilegedGroups' => [395],
            ],
        ],
    ],
];
